<script>
import GenericToken from './generic_token.vue'

export default {
  name: 'SourceToken',
  components: {
    GenericToken,
  },
  props: {
    config: {
      type: Object,
      required: true,
    },
    value: {
      type: Object,
      required: true,
    },
  },
}
</script>

<template>
  <generic-token
    :config="config"
    :value="value"
    type="source"
    v-bind="$attrs"
    v-on="$listeners"
  />
</template>
